import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiAccountUpdateUserResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiAccountUpdateUserProtocol(_base.BasePostAPIFunctionProtocol):
    def update_user(
        self,
        *,
        account_id: int,
        access_type: _nested.AccessTypeForSet,
        user_name: str,
    ) -> CloudapiAccountUpdateUserResultBool:
        ...
